LINUX.ORG.RU

Пакет util-linux пока не настроен

 


0

1

Доброго дня всем. Система Debian 9 При попытке обновить пакеты столкнулся с проблемой: root@deb:/var# dpkg --audit Следующие пакеты настроены лишь частично. Вероятно, это связано с с проблемами, возникшими при первой попытке настройки. Следует провести настройку ещё раз с помощью команды dpkg --configure <package> или пункта «Настроить» меню программы dselect: util-linux miscellaneous system utilities

Для следующих пакетов были установлены триггеры, но обработка триггеров ещё не выполнена. Эта обработка может быть запрошена из dselect или с помощью dpkg --configure --pending (или dpkg --triggers-only): systemd system and service manager

далее root@deb:/var# dpkg --configure utile-linux dpkg: ошибка при обработке пакета utile-linux (--configure): пакет с именем «utile-linux» не установлен, настройка невозможна При обработке следующих пакетов произошли ошибки: utile-linux

root@deb:/var# dpkg --configure --pending Настраивается пакет util-linux (2.29.2-1+deb9u1) … update-alternatives: ошибка: не удалось выполнить stat для файла «/usr/lib/jvm/java-8-oracle/jre/bin/ControlPanel»: Слишком много уровней символьных ссылок dpkg: ошибка при обработке пакета util-linux (--configure): подпроцесс установлен сценарий post-installation возвратил код ошибки 2 dpkg: проблемы зависимостей не позволяют выполнить обработку триггеров systemd: systemd зависит от util-linux (>= 2.27.1), однако: Пакет util-linux пока не настроен.

dpkg: ошибка при обработке пакета systemd (--configure): проблемы зависимостей — оставляем триггеры не обработанными При обработке следующих пакетов произошли ошибки: util-linux systemd

Что касается java-8-oracle, установил этот пакет для использования xdebug (как в дальнейшем оказался не нужным). Так что при необходимости хотелось бы избавиться и от Java. Как исправить эти ошибки?

Ответ на: комментарий от SevikL

root@deb:~# apt-get install -f Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. После данной операции, объём занятого дискового пространства возрастёт на 0 B. Настраивается пакет util-linux (2.29.2-1+deb9u1) … update-alternatives: ошибка: не удалось выполнить stat для файла «/usr/lib/jvm/java-8-oracle/jre/bin/ControlPanel»: Слишком много уровней символьных ссылок dpkg: ошибка при обработке пакета util-linux (--configure): подпроцесс установлен сценарий post-installation возвратил код ошибки 2 При обработке следующих пакетов произошли ошибки: util-linux E: Sub-process /usr/bin/dpkg returned an error code (1)

vit2010 ()
Ответ на: комментарий от SevikL

Так же при попытке переустановки пакета util-linux:

root@deb:~# apt-get -f install Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. После данной операции, объём занятого дискового пространства возрастёт на 0 B. Настраивается пакет util-linux (2.29.2-1+deb9u1) … update-alternatives: ошибка: не удалось выполнить stat для файла «/usr/lib/jvm/java-8-oracle/jre/bin/ControlPanel»: Слишком много уровней символьных ссылок dpkg: ошибка при обработке пакета util-linux (--configure): подпроцесс установлен сценарий post-installation возвратил код ошибки 2 При обработке следующих пакетов произошли ошибки: util-linux E: Sub-process /usr/bin/dpkg returned an error code (1)

далее root@deb:~# apt-get purge util-linux Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово Следующие пакеты устанавливались автоматически и больше не требуются: acl albatross-gtk-theme apg apper-data appstream argyll argyll-ref baloo-kf5 blackbird-gtk-theme bluebird-gtk-theme bluez-obexd brasero-cdrkit brasero-common breeze breeze-cursor-theme breeze-icon-theme cdparanoia cdrdao colord-data cpufrequtils cracklib-runtime crda debconf-kde-data (большой список пакетов, большую часть удалил) xserver-xorg-video-nouveau* xserver-xorg-video-qxl* xserver-xorg-video-radeon* xserver-xorg-video-vesa* xserver-xorg-video-vmware* НОВЫЕ пакеты, которые будут установлены: consolekit libck-connector0 libpam-ck-connector makedev ВНИМАНИЕ: Эти существенно важные пакеты будут удалены. НЕ ДЕЛАЙТЕ этого, если вы НЕ представляете себе все возможные последствия! e2fsprogs util-linux (вследствие e2fsprogs) init systemd-sysv (вследствие init) sysvinit-utils обновлено 0, установлено 4 новых пакетов, для удаления отмечено 175 пакетов, и 4 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. Необходимо скачать 305 kБ архивов. После данной операции, объём занятого дискового пространства уменьшится на 729 MB. То, что вы хотите сделать, может иметь нежелательные последствия. Чтобы продолжить, введите фразу: «Да, делать, как я скажу!» ?] y (так же вводил «Да») Аварийное завершение. Пакет не удаляется.

vit2010 ()
Ответ на: комментарий от vit2010

Далее root@deb:~# sudo apt autoremove Чтение списков пакетов… Готово Построение дерева зависимостей Чтение информации о состоянии… Готово обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено. не установлено до конца или удалено 1 пакетов. После данной операции, объём занятого дискового пространства возрастёт на 0 B. Настраивается пакет util-linux (2.29.2-1+deb9u1) … update-alternatives: ошибка: не удалось выполнить stat для файла «/usr/lib/jvm/java-8-oracle/jre/bin/ControlPanel»: Слишком много уровней символьных ссылок dpkg: ошибка при обработке пакета util-linux (--configure): подпроцесс установлен сценарий post-installation возвратил код ошибки 2 При обработке следующих пакетов произошли ошибки: util-linux E: Sub-process /usr/bin/dpkg returned an error code (1)

vit2010 ()